Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class SchemaGroup

    java.lang.Object
      org.apache.openjpa.jdbc.schema.NameSet
          org.apache.openjpa.jdbc.schema.SchemaGroup

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  DynamicSchemaFactory, LazySchemaFactory

    public class SchemaGroup

extends NameSet
implements Cloneable

Represents a grouping of schemas used in a database.

Author:
  Abe White
See Also:
  Serialized Form

Constructor Summary
`SchemaGroup()`

Method Summary
`Schema` | `addSchema()` Add a schema to the group.
`Schema` | `addSchema(DBIdentifier name)` Add a schema to the group.
`Schema` | `addSchema(String name)` Deprecated.
`Object` | `clone()`
`protected void` | `copy(SchemaGroup group)` Copy cloneable state from the given instance.
`ForeignKey[]` | `findExportedForeignKeys(PrimaryKey pk)` Find all foreign keys exported by a given primary key (all foreign keys that link to the primary key).
`Sequence` | `findSequence(DBIdentifier name)`
`Sequence` | `findSequence(QualifiedDBIdentifier path)`
`Sequence` | `findSequence(Schema inSchema, QualifiedDBIdentifier path)`
`Sequence` | `findSequence(Schema inSchema, String name)` Deprecated.
`Sequence` | `findSequence(Sequence seq)` Find the equivalent of the given sequence in this schema group.
`Sequence` | `findSequence(String name)` Deprecated.
`Table` | `findTable(QualifiedDBIdentifier path)`
`Table` | `findTable(Schema inSchema, DBIdentifier name)`
`Table` | `findTable(Schema inSchema, DBIdentifier name, DBIdentifier defaultSchemaName)`
`Table` | `findTable(Schema inSchema, QualifiedDBIdentifier path, DBIdentifier defaultSchemaName)`
`Table` | `findTable(Schema inSchema, String name)` Deprecated.
`Table` | `findTable(String name)` Deprecated.
`Table` | `findTable(Table table)` Find the equivalent of the given table in this schema group.
`Schema` | `getSchema(DBIdentifier name)`
`Schema` | `getSchema(String name)` Deprecated.
`Schema[]` | `getSchemas()` Return all schemas.
`Schema` | `importSchema(Schema schema)` Import a schema from another group.
`boolean` | `isKnownSequence(DBIdentifier name)`
`boolean` | `isKnownSequence(QualifiedDBIdentifier path)`
`boolean` | `isKnownSequence(Sequence seq)` Return true if the given sequence is known to exist.
`boolean` | `isKnownSequence(String name)` Deprecated.
`boolean` | `isKnownTable(QualifiedDBIdentifier path)`
`boolean` | `isKnownTable(String name)` Deprecated.
`boolean` | `isKnownTable(Table table)` Return true if the given table is known to exist.
`protected Column` | `newColumn(DBIdentifier name, Table table)`
`protected Column` | `newColumn(String name, Table table)` Deprecated.
`protected ForeignKey` | `newForeignKey(DBIdentifier name, Table table)`
`protected ForeignKey` | `newForeignKey(String name, Table table)` Deprecated.
`protected Index` | `newIndex(DBIdentifier name, Table table)`
`protected Index` | `newIndex(String name, Table table)` Deprecated.
`protected SchemaGroup` | `newInstance()` Create a new instance of this class.
`protected PrimaryKey` | `newPrimaryKey(DBIdentifier name, Table table)`
`protected PrimaryKey` | `newPrimaryKey(String name, Table table)` Deprecated.
`protected Schema` | `newSchema(DBIdentifier name)`
`protected Schema` | `newSchema(String name)` Deprecated.
`protected Sequence` | `newSequence(DBIdentifier name, Schema schema)`
`protected Sequence` | `newSequence(String name, Schema schema)` Deprecated.
`protected Table` | `newTable(DBIdentifier name, Schema schema)`
`protected Table` | `newTable(String name, Schema schema)` Deprecated.
`protected Unique` | `newUnique(DBIdentifier name, Table table)`
`protected Unique` | `newUnique(String name, Table table)` Deprecated.
`boolean` | `removeSchema(Schema schema)` Remove the given schema from the group.
`void` | `removeUnusedComponents()` Remove unreferenced or emtpy components from the schema.

Methods inherited from class org.apache.openjpa.jdbc.schema.NameSet
`addName, addName, isNameTaken, isNameTaken, removeName, removeName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaGroup

    public SchemaGroup()

Method Detail

### getSchemas

    public Schema[] getSchemas()

  Return all schemas.

### getSchema

    public Schema getSchema(String name)

  Deprecated.

  Return the schema with the given name, or null if none.

### getSchema

    public Schema getSchema(DBIdentifier name)

### addSchema

    public Schema addSchema()

  Add a schema to the group.

### addSchema

    public Schema addSchema(DBIdentifier name)

  Add a schema to the group.

### addSchema

    public Schema addSchema(String name)

  Deprecated.

  Parameters:
    `name` -
  Returns:

### removeSchema

    public boolean removeSchema(Schema schema)

  Remove the given schema from the group.

  Returns:
    true if the schema was removed, false if not in the group

### importSchema

    public Schema importSchema(Schema schema)

  Import a schema from another group. Foreign keys are not imported.

### isKnownTable

    public boolean isKnownTable(Table table)

  Return true if the given table is known to exist. While `findTable(org.apache.openjpa.jdbc.schema.Table)` may exhibit dynamic behavior in some schema group implementations, this method only returns true if the table has been added to this group or is known to exist in the database.

### isKnownTable

    public boolean isKnownTable(String name)

  Deprecated.

  Return true if the given table is known to exist. While `findTable(org.apache.openjpa.jdbc.schema.Table)` may exhibit dynamic behavior in some schema group implementations, this method only returns true if the table has been added to this group or is known to exist in the database.

### isKnownTable

    public boolean isKnownTable(QualifiedDBIdentifier path)

### findTable

    public Table findTable(Table table)

  Find the equivalent of the given table in this schema group. The given table that may have come from another schema group.

### findTable

    public Table findTable(String name)

  Deprecated.

  Find the table with the given name in the group, using '.' as the catalog separator. Returns null if no table found.

### findTable

    public Table findTable(QualifiedDBIdentifier path)

### findTable

    public Table findTable(Schema inSchema,
                           String name)

  Deprecated.

  Find the table with the given name in the group, using '.' as the catalog separator. Returns null if no table found.

### findTable

    public Table findTable(Schema inSchema,
                           DBIdentifier name)

### findTable

    public Table findTable(Schema inSchema,
                           DBIdentifier name,
                           DBIdentifier defaultSchemaName)

### findTable

    public Table findTable(Schema inSchema,
                           QualifiedDBIdentifier path,
                           DBIdentifier defaultSchemaName)

### isKnownSequence

    public boolean isKnownSequence(Sequence seq)

  Return true if the given sequence is known to exist. While `findSequence(org.apache.openjpa.jdbc.schema.Sequence)` may exhibit dynamic behavior in some schema group implementations, this method only returns true if the sequence has been added to this group or is known to exist in the database.

### isKnownSequence

    public boolean isKnownSequence(String name)

  Deprecated.

  Return true if the given sequence is known to exist. While `findSequence(org.apache.openjpa.jdbc.schema.Sequence)` may exhibit dynamic behavior in some schema group implementations, this method only returns true if the sequence has been added to this group or is known to exist in the database.

### isKnownSequence

    public boolean isKnownSequence(DBIdentifier name)

### isKnownSequence

    public boolean isKnownSequence(QualifiedDBIdentifier path)

### findSequence

    public Sequence findSequence(Sequence seq)

  Find the equivalent of the given sequence in this schema group. The given sequence that may have come from another schema group.

### findSequence

    public Sequence findSequence(String name)

  Deprecated.

  Find the sequence with the given name in the group, using '.' as the catalog separator. Returns null if no sequence found.

### findSequence

    public Sequence findSequence(DBIdentifier name)

### findSequence

    public Sequence findSequence(QualifiedDBIdentifier path)

### findSequence

    public Sequence findSequence(Schema inSchema,
                                 String name)

  Deprecated.

  Find the sequence with the given name in the group, using '.' as the catalog separator. Returns null if no sequence found.

### findSequence

    public Sequence findSequence(Schema inSchema,
                                 QualifiedDBIdentifier path)

### findExportedForeignKeys

    public ForeignKey[] findExportedForeignKeys(PrimaryKey pk)

  Find all foreign keys exported by a given primary key (all foreign keys that link to the primary key).

### removeUnusedComponents

    public void removeUnusedComponents()

  Remove unreferenced or emtpy components from the schema.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### newInstance

    protected SchemaGroup newInstance()

  Create a new instance of this class.

### copy

    protected void copy(SchemaGroup group)

  Copy cloneable state from the given instance.

### newSchema

    protected Schema newSchema(String name)

  Deprecated.

  Return a new schema with the given name.

### newSchema

    protected Schema newSchema(DBIdentifier name)

### newSequence

    protected Sequence newSequence(String name,
                                   Schema schema)

  Deprecated.

  Return a new sequence with the given name and owner schema.

### newSequence

    protected Sequence newSequence(DBIdentifier name,
                                   Schema schema)

### newTable

    protected Table newTable(String name,
                             Schema schema)

  Deprecated.

  Return a new table with the given name and owner schema.

### newTable

    protected Table newTable(DBIdentifier name,
                             Schema schema)

### newColumn

    protected Column newColumn(String name,
                               Table table)

  Deprecated.

  Return a new column with the given name and owner table.

### newColumn

    protected Column newColumn(DBIdentifier name,
                               Table table)

### newPrimaryKey

    protected PrimaryKey newPrimaryKey(String name,
                                       Table table)

  Deprecated.

  Return a new primary key with the given name and owner table.

### newPrimaryKey

    protected PrimaryKey newPrimaryKey(DBIdentifier name,
                                       Table table)

### newIndex

    protected Index newIndex(String name,
                             Table table)

  Deprecated.

  Return a new index with the given name and owner table.

### newIndex

    protected Index newIndex(DBIdentifier name,
                             Table table)

### newUnique

    protected Unique newUnique(String name,
                               Table table)

  Deprecated.

  Return a new unique constraint with the given name and owner table.

### newUnique

    protected Unique newUnique(DBIdentifier name,
                               Table table)

### newForeignKey

    protected ForeignKey newForeignKey(String name,
                                       Table table)

  Deprecated.

  Return a new foreign key with the given name and owner table.

### newForeignKey

    protected ForeignKey newForeignKey(DBIdentifier name,
                                       Table table)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.